﻿using HeuristicLab.Algorithms.PushGP.Expressions;
using HeuristicLab.Core;
using HeuristicLab.Random;

namespace HeuristicLab.Algorithms.PushGP.Simplifier
{
    public class RandomSimplifier : ISimplifier
    {
        private IRandom rand = new FastRandom();
        public int Trys { get; set; }

        public Expression Simplify(Expression program)
        {
            if (program.GetType() != typeof(ExecExpandExpression))
                return program;

            var clone = program.Clone() as ExecExpandExpression;

            for (var i = 0; i < Trys; i++)
            {
                var index = rand.Next(0, clone.TotalCount - 1);

            }

            return clone;
        }
    }
}
